SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPFNDREC_FORM_FUNCTIONS';

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted   
	FROM
		CGL_AFR_SETUP		B,
		GL_SETS_OF_BOOKS	A
	FROM   
        FND_FORM_FUNCTIONS	FFF,
        FND_MENUS			FM,
        FND_MENU_ENTRIES	FME
	WHERE	FM.MENU_NAME	LIKE	UPPER('&1')||'%'
	AND		FM.MENU_ID	=	FME.MENU_ID
	AND		FME.FUNCTION_ID	=	FFF.FUNCTION_ID;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_FND_FORM_FUNCTIONS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
